/*  Include file for Stars program */

#define STARFILE "stars.cart"
#define RESFILE "star.res"

/* ID's for the main and credits dialog box */
#define DIDget 257
#define DIDblame 258

/* Equates for dialog box */
#define BUTok 1
#define BUTcan 2
#define BUTblame 3
#define TErah 4
#define TEram 5
#define TEras 6
#define TEdecd 7
#define TEdecm 8
#define TEdecs 9
#define RBn 10
#define RBs 11
#define TEwid 12
#define CBblack 13
#define CBcross 14
#define CBlabel 15
#define TEmaglabel 16

/* Constants */
#define PI 3.141592654
#define PIo2 1.570796327
#define DtoR 0.017453293
#define HtoR 0.261799388
#define RtoD 57.29577951
#define RtoH 3.819718634

#define X 0
#define Y 1
#define Z 2
#define DIST 32000		/* Distance from the observer to the firmament	*/
#define NSTARS 1573		/* The size of the catalog */

extern WindowPtr FrontWindow();
extern DialogPtr GetNewDialog();
long fread();
extern char *lmalloc();

/* The datafile is in the form of 1573 records, each of which has the
	following form:
*/

typedef struct {
	char name[6];		/* Not null terminated */
	int x, y, z;		/* Cartesian coordinates, assuming the star is at 	*/
						/* a distance of 32000 units.						*/
	int mag, color;		/* Magnitude and B-V values times 100 */
} star;
